
import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/material.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:router/path/router_path.dart';
import 'package:shared/utils/color_utils.dart';
import 'package:shared/utils/log_utils.dart';
import 'package:auto_route/auto_route.dart';


import 'newsfeed_post_page_state.dart';

part 'newsfeed_post_vm.g.dart';

@riverpod
class NewsfeedPostVm extends _$NewsfeedPostVm {

  NewsfeedPostPageState initState() {
    return NewsfeedPostPageState(
      formData: {
        'mind': {
          'value': '',
          'controller': TextEditingController(),
          'hintText': 'What\'s on your mind?',
          'focusNode': FocusNode(),
          'obsecure': false,
        },
        'images': {
          'value': '',
          'controller': TextEditingController(),
          'hintText': '',
          'focusNode': FocusNode(),
          'obsecure': false,
        },
      },
    );
  }
  @override
  NewsfeedPostPageState build(){
    // 初始化状态
    NewsfeedPostPageState state = initState();
    return state;
  }


}
