import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import '../../router/page/profile_page_router.dart';
import 'my_household_view_model.dart';

@RoutePage()
class MyHouseholdPage extends HookConsumerWidget {
  const MyHouseholdPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const MyHouseholdPageRoute());
    } else {
      appRouter.push(const MyHouseholdPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final viewModel = ref.watch(myHouseholdViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("Profile Edit Page")),
      body: Center(
        child: Text("Profile Edit Page"),
      ),
    );
  }
}
